Package org.jfree.layouting.input.style.values

## Class CSSColorValue

- java.lang.Object
- - java.awt.Color
  - - org.jfree.layouting.input.style.values.CSSColorValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public class CSSColorValue
      extends java.awt.Color
      implements CSSValue

  Creation-Date: 23.11.2005, 12:01:04
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.awt.Color

      `black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSColorValue​(float r, float g, float b)` |
    `CSSColorValue​(float r, float g, float b, float a)` |
    `CSSColorValue​(int rgba, boolean hasalpha)` |
    `CSSColorValue​(int r, int g, int b)` |
    `CSSColorValue​(int r, int g, int b, int a)` |
    `CSSColorValue​(java.awt.Color color)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `java.lang.String` | `toString​()` | Returns a string representation of this `Color`.

    - ### Methods inherited from class java.awt.Color

      `brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSColorValue

          public CSSColorValue​(int r,
                               int g,
                               int b,
                               int a)

    - #### CSSColorValue

          public CSSColorValue​(int rgba,
                               boolean hasalpha)

    - #### CSSColorValue

          public CSSColorValue​(float r,
                               float g,
                               float b,
                               float a)

    - #### CSSColorValue

          public CSSColorValue​(float r,
                               float g,
                               float b)

    - #### CSSColorValue

          public CSSColorValue​(int r,
                               int g,
                               int b)

    - #### CSSColorValue

          public CSSColorValue​(java.awt.Color color)

  - ### Method Detail

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Returns a string representation of this `Color`. This method is intended to be used only for debugging purposes. The content and format of the returned string might vary between implementations. The returned string might be empty but cannot be `null`.
      Overrides:
        `toString` in class `java.awt.Color`
      Returns:
        a string representation of this `Color`.